apiVersion: v1
items:
- apiVersion: forklift.konveyor.io/v1beta1
  kind: Plan
  metadata:
    annotations:
      populatorLabels: "True"
    creationTimestamp: "2025-08-28T15:02:06Z"
    generation: 2
    name: copy-of-plan-vmware
    namespace: mtv-test
    resourceVersion: "16420245"
    uid: 4b769768-a71a-4875-8a3b-a885d1818495
  spec:
    archived: false
    map:
      network:
        name: copy-of-plan-vmware-pv3ce
        namespace: mtv-test
      storage:
        name: copy-of-plan-vmware-a281c
        namespace: mtv-test
    migrateSharedDisks: true
    provider:
      destination:
        apiVersion: forklift.konveyor.io/v1beta1
        kind: Provider
        name: host
        namespace: mtv-test
      source:
        apiVersion: forklift.konveyor.io/v1beta1
        kind: Provider
        name: vmware
        namespace: mtv-test
    pvcNameTemplateUseGenerateName: true
    skipGuestConversion: false
    targetNamespace: mtv-test
    useCompatibilityMode: true
    vms:
    - hooks:
      - hook:
          name: plan-vmware-pre-hook
          namespace: mtv-test
        step: PreHook
      id: vm-1001
      luks: {}
      name: mtv-func-rhel8-ameen
  status:
    conditions:
    - category: Required
      lastTransitionTime: "2025-08-31T07:15:12Z"
      message: The migration plan is ready.
      status: "True"
      type: Ready
    migration: {}
    observedGeneration: 2
- apiVersion: forklift.konveyor.io/v1beta1
  kind: Plan
  metadata:
    annotations:
      populatorLabels: "True"
    creationTimestamp: "2025-08-28T17:24:48Z"
    generation: 1
    name: plan-qemtvd-04-new-1
    namespace: mtv-test
    resourceVersion: "16420095"
    uid: bf402a9e-0be8-4464-8043-c5ac12b3b3b6
  spec:
    map:
      network:
        apiVersion: forklift.konveyor.io/v1beta1
        kind: NetworkMap
        name: qemtvd-04-gjmdr
        namespace: mtv-test
        uid: b3cd296d-c920-4d63-a9a4-cbea2970ffa3
      storage:
        apiVersion: forklift.konveyor.io/v1beta1
        kind: StorageMap
        name: qemtvd-04-5mj4g
        namespace: mtv-test
        uid: f756bfcd-5e87-4648-870c-85842bb50b76
    migrateSharedDisks: true
    provider:
      destination:
        apiVersion: forklift.konveyor.io/v1beta1
        kind: Provider
        name: host
        namespace: mtv-test
        uid: 4641bff3-3671-40d2-969b-955808eb8369
      source:
        apiVersion: forklift.konveyor.io/v1beta1
        kind: Provider
        name: qemtvd-04
        namespace: mtv-test
        uid: 3b20b2df-7619-4c01-b80a-f88abb2de824
    pvcNameTemplateUseGenerateName: true
    skipGuestConversion: false
    targetNamespace: mtv-test
    targetPowerState: auto
    useCompatibilityMode: true
    vms:
    - hooks:
      - hook:
          name: plan-qemtvd-04-new-1-pre-hook
          namespace: mtv-test
        step: PreHook
      id: a3c6b04b-ecbd-48f3-89e1-ec74217ff4ba
      name: mtv-func-win2008r2-td
      namespace: mtv-test
    warm: false
  status:
    conditions:
    - category: Advisory
      durable: true
      lastTransitionTime: "2025-08-28T17:34:18Z"
      message: The plan execution has FAILED.
      status: "True"
      type: Failed
    - category: Critical
      lastTransitionTime: "2025-08-31T07:15:08Z"
      message: Map.Network does not have Ready condition.
      status: "True"
      type: NetworkMapNotReady
    - category: Critical
      items:
      - ' id:a3c6b04b-ecbd-48f3-89e1-ec74217ff4ba name:''mtv-func-win2008r2-td'' '
      lastTransitionTime: "2025-08-31T07:15:08Z"
      message: VM not found.
      reason: NotFound
      status: "True"
      type: VMNotFound
    migration:
      completed: "2025-08-28T17:34:18Z"
      history:
      - conditions:
        - category: Advisory
          durable: true
          lastTransitionTime: "2025-08-28T17:28:46Z"
          message: The plan execution has FAILED.
          status: "True"
          type: Failed
        map:
          network:
            generation: 1
            name: qemtvd-04-gjmdr
            namespace: mtv-test
            uid: b3cd296d-c920-4d63-a9a4-cbea2970ffa3
          storage:
            generation: 1
            name: qemtvd-04-5mj4g
            namespace: mtv-test
            uid: f756bfcd-5e87-4648-870c-85842bb50b76
        migration:
          generation: 1
          name: plan-qemtvd-04-new-1-k2g9d
          namespace: mtv-test
          uid: eb9416a9-bf45-46cd-856e-e1b278555cde
        plan:
          generation: 1
          name: plan-qemtvd-04-new-1
          namespace: mtv-test
          uid: bf402a9e-0be8-4464-8043-c5ac12b3b3b6
        provider:
          destination:
            generation: 1
            name: host
            namespace: mtv-test
            uid: 4641bff3-3671-40d2-969b-955808eb8369
          source:
            generation: 1
            name: qemtvd-04
            namespace: mtv-test
            uid: 3b20b2df-7619-4c01-b80a-f88abb2de824
      - conditions:
        - category: Advisory
          durable: true
          lastTransitionTime: "2025-08-28T17:30:53Z"
          message: The plan execution has FAILED.
          status: "True"
          type: Failed
        map:
          network:
            generation: 1
            name: qemtvd-04-gjmdr
            namespace: mtv-test
            uid: b3cd296d-c920-4d63-a9a4-cbea2970ffa3
          storage:
            generation: 1
            name: qemtvd-04-5mj4g
            namespace: mtv-test
            uid: f756bfcd-5e87-4648-870c-85842bb50b76
        migration:
          generation: 1
          name: plan-qemtvd-04-new-1-hv6zn
          namespace: mtv-test
          uid: 50447fc6-c6f4-4da4-9312-b829568c9eab
        plan:
          generation: 1
          name: plan-qemtvd-04-new-1
          namespace: mtv-test
          uid: bf402a9e-0be8-4464-8043-c5ac12b3b3b6
        provider:
          destination:
            generation: 1
            name: host
            namespace: mtv-test
            uid: 4641bff3-3671-40d2-969b-955808eb8369
          source:
            generation: 1
            name: qemtvd-04
            namespace: mtv-test
            uid: 3b20b2df-7619-4c01-b80a-f88abb2de824
      - conditions:
        - category: Advisory
          durable: true
          lastTransitionTime: "2025-08-28T17:34:18Z"
          message: The plan execution has FAILED.
          status: "True"
          type: Failed
        map:
          network:
            generation: 1
            name: qemtvd-04-gjmdr
            namespace: mtv-test
            uid: b3cd296d-c920-4d63-a9a4-cbea2970ffa3
          storage:
            generation: 1
            name: qemtvd-04-5mj4g
            namespace: mtv-test
            uid: f756bfcd-5e87-4648-870c-85842bb50b76
        migration:
          generation: 1
          name: plan-qemtvd-04-new-1-hqngg
          namespace: mtv-test
          uid: 5c93949d-56df-4501-b8e2-2b9c8dcd00d0
        plan:
          generation: 1
          name: plan-qemtvd-04-new-1
          namespace: mtv-test
          uid: bf402a9e-0be8-4464-8043-c5ac12b3b3b6
        provider:
          destination:
            generation: 1
            name: host
            namespace: mtv-test
            uid: 4641bff3-3671-40d2-969b-955808eb8369
          source:
            generation: 1
            name: qemtvd-04
            namespace: mtv-test
            uid: 3b20b2df-7619-4c01-b80a-f88abb2de824
      started: "2025-08-28T17:33:40Z"
      vms:
      - completed: "2025-08-28T17:34:18Z"
        conditions:
        - category: Advisory
          durable: true
          lastTransitionTime: "2025-08-28T17:34:15Z"
          message: The VM migration has FAILED.
          status: "True"
          type: Failed
        error:
          phase: CopyDisks
          reasons:
          - 'Unable to connect to http data source: HTTP request errored: Get "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-qjr4d/disk.img.gz":
            tls: failed to verify certificate: x509: certificate signed by unknown
            authority'
          - 'Unable to connect to http data source: HTTP request errored: Get "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-cgpjd/disk.img.gz":
            tls: failed to verify certificate: x509: certificate signed by unknown
            authority'
          - 'Unable to connect to http data source: HTTP request errored: Get "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-l7nkm/disk.img.gz":
            tls: failed to verify certificate: x509: certificate signed by unknown
            authority'
        hooks:
        - hook:
            name: plan-qemtvd-04-new-1-pre-hook
            namespace: mtv-test
          step: PreHook
        id: a3c6b04b-ecbd-48f3-89e1-ec74217ff4ba
        luks: {}
        name: mtv-func-win2008r2-td
        namespace: mtv-test
        phase: Completed
        pipeline:
        - completed: "2025-08-28T17:33:40Z"
          description: Initialize migration.
          name: Initialize
          phase: Completed
          progress:
            completed: 0
            total: 1
          started: "2025-08-28T17:33:40Z"
        - completed: "2025-08-28T17:33:52Z"
          description: Run pre-migration hook.
          name: PreHook
          phase: Completed
          progress:
            completed: 1
            total: 1
          started: "2025-08-28T17:33:42Z"
        - annotations:
            unit: MB
          description: Transfer disks.
          error:
            phase: Running
            reasons:
            - 'Unable to connect to http data source: HTTP request errored: Get "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-qjr4d/disk.img.gz":
              tls: failed to verify certificate: x509: certificate signed by unknown
              authority'
            - 'Unable to connect to http data source: HTTP request errored: Get "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-cgpjd/disk.img.gz":
              tls: failed to verify certificate: x509: certificate signed by unknown
              authority'
            - 'Unable to connect to http data source: HTTP request errored: Get "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-l7nkm/disk.img.gz":
              tls: failed to verify certificate: x509: certificate signed by unknown
              authority'
          name: DiskTransfer
          phase: Pending
          progress:
            completed: 0
            total: 16280
          reason: Pending; PVC plan-qemtvd-04-new-1-a3c6b04b-ecbd-48f3-89e1-ec74217ff4ba-pngfz
            Pending
          started: "2025-08-28T17:34:15Z"
          tasks:
          - annotations:
              unit: MB
            error:
              phase: Running
              reasons:
              - 'Unable to connect to http data source: HTTP request errored: Get
                "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-qjr4d/disk.img.gz":
                tls: failed to verify certificate: x509: certificate signed by unknown
                authority'
            name: mtv-test/warm-win2008r2-vm-173-qjr4d
            phase: Running
            progress:
              completed: 0
              total: 13025
            reason: 'Error; Unable to connect to http data source: HTTP request errored:
              Get "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-qjr4d/disk.img.gz":
              tls: failed to verify certificate: x509: certificate signed by unknown
              authority'
            started: "2025-08-28T17:34:15Z"
          - annotations:
              unit: MB
            error:
              phase: Running
              reasons:
              - 'Unable to connect to http data source: HTTP request errored: Get
                "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-cgpjd/disk.img.gz":
                tls: failed to verify certificate: x509: certificate signed by unknown
                authority'
            name: mtv-test/warm-win2008r2-vm-173-cgpjd
            phase: Pending
            progress:
              completed: 0
              total: 2170
            reason: Pending; PVC plan-qemtvd-04-new-1-a3c6b04b-ecbd-48f3-89e1-ec74217ff4ba-pngfz
              Pending
            started: "2025-08-28T17:34:15Z"
          - annotations:
              unit: MB
            error:
              phase: Running
              reasons:
              - 'Unable to connect to http data source: HTTP request errored: Get
                "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-l7nkm/disk.img.gz":
                tls: failed to verify certificate: x509: certificate signed by unknown
                authority'
            name: mtv-test/warm-win2008r2-vm-173-l7nkm
            phase: Running
            progress:
              completed: 0
              total: 1085
            reason: 'Error; Unable to connect to http data source: HTTP request errored:
              Get "https://virt-exportproxy-openshift-cnv.apps.qemtvd-04.rhos-psi.cnv-qe.rhood.us/api/export.kubevirt.io/v1beta1/namespaces/mtv-test/virtualmachineexports/mtv-func-win2008r2-td/volumes/warm-win2008r2-vm-173-l7nkm/disk.img.gz":
              tls: failed to verify certificate: x509: certificate signed by unknown
              authority'
            started: "2025-08-28T17:34:15Z"
        - description: Create VM.
          name: VirtualMachineCreation
          phase: Pending
          progress:
            completed: 0
            total: 1
        restorePowerState: "Off"
        started: "2025-08-28T17:33:40Z"
    observedGeneration: 1
kind: List
metadata:
  resourceVersion: ""
